Name:           nfs4-acl-tools
Version:        0.3.3
Release:        3%{?dist}
Summary:        The nfs4 ACL tools
Group:          System Environment/Tools
License:        BSD
URL:            http://www.citi.umich.edu/projects/nfsv4/linux/

BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Source0:        http://www.citi.umich.edu/projects/nfsv4/linux/nfs4-acl-tools/%{name}-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: libattr-devel

Patch01: nfs4-acl-tools-0.3.3-segfault.patch
Patch02: nfs4-acl-tools-0.3.3-glibcdetected.patch

%description
This package contains commandline and GUI ACL utilities for the Linux
NFSv4 client.

%prep
%setup -q

# bz 693422
%patch01 -p1
# bz 693422
%patch02 -p1

%build
%ifarch s390 s390x sparc
PIE="-fPIE"
%else
PIE="-fpie"
%endif
CFLAGS="`echo $RPM_OPT_FLAGS $PIE`"
export LDFLAGS="-pie"
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING INSTALL README TODO VERSION
%{_bindir}/nfs4_editfacl
%{_bindir}/nfs4_getfacl
%{_bindir}/nfs4_setfacl
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Thu Dec 22 2011 Steve Dickson <steved@redhat.com> - 0.3.3-3
- Fixed a *** glibc detected *** error (bz 693422)

* Wed Aug 10 2011 Steve Dickson <steved@redhat.com> - 0.3.3-2
- Fixed a couple segfaults (bz 693422)

* Fri Jun 26 2009 Steve Dickson <steved@redhat.com> - 0.3.3-1
- Updated to latest upstream version: 0.3.3 (bz 507443)

* Thu Mar  8 2007  Steve Dickson <steved@redhat.com> - 0.3.1-1.1
- Updated to latest upstream version 0.3.1 which eliminated the 
  need for the patches introduced in the previous commit.

* Tue Mar  6 2007  Tom "spot" Callaway <tcallawa@redhat.com> 0.3.0-1.1
- lose the BR for autotools
- Patch in support for destdir
- use %%configure macro, make DESTDIR= install
- add sparc to -fPIE (trivial, but correct)
- destdir revealed missing/poorly created symlink, patch fixes it, add nfs4_editfacl to files
- LDFLAGS passed to configure/exported were being blindly overwritten, patch fixes

* Fri Mar  2 2007  Steve Dickson <steved@redhat.com> - 0.3.0-1
- Updated to latest upstream version 0.3.0
- Fixed minor issues in spec file from the package review

* Fri Feb 16 2007 Steve Dickson <steved@redhat.com> - 0.2.0-1
- Initial commit
